Skip to content

List Invitations

GET
/v1/invitations/

List invitations for this tenant’s WorkOS org. Filter by state: pending | accepted | revoked | expired. Tenant admin only.

state
Any of:
string

Successful Response

Response List Invitations V1 Invitations Get
Array<object>
InvitationRead

Projection of a WorkOS invitation object.

object
id
required
Id
string
email
required
Email
string
state
required
State
string
role_slug
Any of:
string
organization_id
Any of:
string
created_at
Any of:
string format: date-time
expires_at
Any of:
string format: date-time
accepted_at
Any of:
string format: date-time
revoked_at
Any of:
string format: date-time
inviter_user_id
Any of:
string

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object